# Invoice Information

### What the method allows you to do

* Returns complete information for the specified invoices.
* Maximum number of identifiers per request — 100.

### Endpoint

<mark style="color:green;">`POST`</mark> `https://api.cryptocloud.plus/v2/invoice/merchant/info`

### Headers

| Name                                            | Type   | Example                             | Description     |
| ----------------------------------------------- | ------ | ----------------------------------- | --------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Token eyJ0eXAiOiJK<...>4npi1ksS8tSY | Project API key |

### Request Body

Key parameters

| Name                                    | Type  | Example      | Description                                            |
| --------------------------------------- | ----- | ------------ | ------------------------------------------------------ |
| uuids<mark style="color:red;">\*</mark> | array | INV-89UX09KA | List of invoice identifiers (INV-XXXXXXXX or XXXXXXXX) |

### Request examples

These examples show how to send a request to retrieve invoice information by INV number. Note that a single request must contain no more than 100 identifiers.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.cryptocloud.plus/v2/invoice/merchant/info \
     -H "Authorization: Token <API KEY>" \
     -H "Content-Type: application/json" \
     -d '{"uuids":["INV-XXXXXXXX","INV-YYYYYYYY"]}'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.cryptocloud.plus/v2/invoice/merchant/info"
headers = {
    "Authorization": "Token <API KEY>"
}
data = {
    "uuids": ["INV-XXXXXXXX", "INV-YYYYYYYY"]
}

response = requests.post(url, headers=headers, json=data)

if response.status_code == 200:
    print("Success:", response.json())
else:
    print("Fail:", response.status_code, response.text)
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
fetch('https://api.cryptocloud.plus/v2/invoice/merchant/info', {
    method: 'POST',
    headers: {
        'Authorization': 'Token <API KEY>',
        'Content-Type': 'application/json'
    },
    body: JSON.stringify({
        uuids: ['INV-XXXXXXXX', 'INV-YYYYYYYY']
    })
})
.then(response => {
    if (response.ok) {
        return response.json();
    } else {
        throw new Error('Fail: ' + response.status + ' ' + response.statusText);
    }
})
.then(data => console.log('Success:', data))
.catch(error => console.error('Error:', error));

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.cryptocloud.plus/v2/invoice/merchant/info");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(array(
    "uuids" => array("INV-XXXXXXXX", "INV-YYYYYYYY")
)));

$headers = array(
    "Authorization: Token <API KEY>",
    "Content-Type: application/json"
);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    $statusCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    if ($statusCode == 200) {
        echo "Success: " . $response;
    } else {
        echo "Fail: " . $statusCode . " " . $response;
    }
}

curl_close($ch);
?>
```

{% endtab %}
{% endtabs %}

### Response examples

A successful request returns a response with the status `success` and a `result` object.

{% tabs %}
{% tab title="200: OK – Invoice info" %}

```json
{
    "status": "success",
    "result": [
        {
            "uuid": "INV-DO8ETFVT",
            "created": "2026-01-01 09:03:58.958133",
            "address": "LiWRq0uckKZ8qj5dhvgBdWzEtAxr8KbpBW",
            "currency": {
                "id": 2,
                "code": "LTC",
                "fullcode": "LTC",
                "network": {
                    "code": "litecoin",
                    "id": 2,
                    "icon": "https://cdn.cryptocloud.plus/img/network/LTC.svg",
                    "fullname": "Litecoin"
                },
                "name": "Litecoin",
                "is_email_required": false,
                "stablecoin": false,
                "icon_base": "https://cdn.cryptocloud.plus/img/currency/LTC.svg",
                "icon_network": "https://cdn.cryptocloud.plus/img/currency/LTC.svg",
                "icon_qr": "https://cdn.cryptocloud.plus/img/stroke/LTC_STROKE.svg",
                "order": 8
            },
            "date_finished": "2026-01-01 19:03:58.958133",
            "expiry_date": "2026-01-02 09:03:57.493361",
            "side_commission": "client",
            "side_commission_cc": "merchant",
            "type_payments": "crypto",
            "status": "overpaid",
            "invoice_status": "success",
            "is_email_required": false,
            "project": {
                "id": 1,
                "name": "Test",
                "fail": "https://test.com/failed-payment",
                "success": "https://test.com/successful-payment",
                "logo": ""
            },
            "tx_list": [
                ""
            ],
            "test_mode": false,
            "type": "up",
            "user_email": "",
            "pay_url": "None",
            "phone": "",
            "order_id": "None",
            "amount_in_crypto": null,
            "amount_in_fiat": 0.1,
            "amount": 0.01,
            "amount_usd": 0.1,
            "amount_to_pay": 0.01,
            "amount_to_pay_usd": 0.69,
            "amount_paid": 0.01,
            "amount_paid_usd": 0.69,
            "fee": 0.0,
            "fee_usd": 0.0,
            "service_fee": 0.00019,
            "service_fee_usd": 0.01,
            "received": 0.00981,
            "received_usd": 0.68,
            "to_surcharge": 0.0,
            "to_surcharge_usd": 0.0
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Response parameters

The `result` object contains:

| Name                 | Type   | Example                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Description                                                                                                                                                                                                                                                                                         |
| -------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| uuid                 | string | INV-89UX09KA                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Unique invoice identifier with the INV prefix                                                                                                                                                                                                                                                       |
| created              | string | 2026-01-01 12:00:00.000000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Invoice creation time in UTC+0 format: YYYY-MM-DD HH:MI:SS.FFFFFF                                                                                                                                                                                                                                   |
| address              | string | LiWRq0uck<...>Axr8KbpBW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Payment address                                                                                                                                                                                                                                                                                     |
| expiry\_date         | string | 2026-01-02 12:00:00.000000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | <p>Invoice expiration date in UTC+0 format: YYYY-MM-DD HH:MI:SS.FFFFFF.</p><p></p><p>After the expiration time, the invoice status will change to <code>canceled</code> if payment has not been received.</p>                                                                                       |
| side\_commission     | string | client                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | Transfer fee payer                                                                                                                                                                                                                                                                                  |
| side\_commission\_cc | string | client                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | Service fee payer                                                                                                                                                                                                                                                                                   |
| amount               | float  | 0.033366                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Invoice amount in the selected cryptocurrency                                                                                                                                                                                                                                                       |
| amount\_usd          | float  | 100.0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Invoice amount in USD                                                                                                                                                                                                                                                                               |
| amount\_in\_fiat     | float  | 100.0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Invoice amount in the creation currency (depends on the `currency` parameter)                                                                                                                                                                                                                       |
| fee                  | float  | 4.500000159168849e-06                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Transfer fee                                                                                                                                                                                                                                                                                        |
| fee\_usd             | float  | 0.01                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Transfer fee in USD                                                                                                                                                                                                                                                                                 |
| service\_fee         | float  | 0.000634                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Service fee                                                                                                                                                                                                                                                                                         |
| service\_fee\_usd    | float  | 1.9                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Service fee in USD                                                                                                                                                                                                                                                                                  |
| fiat\_currency       | string | USD                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Fiat currency code in which the invoice was created                                                                                                                                                                                                                                                 |
| status               | string | created                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | <p>Invoice status</p><p></p><p>When a create-invoice request is sent, the status is always <code>created</code>.</p><p></p><p>Other possible statuses: <code>paid</code> (paid), <code>partial</code> (partially paid), <code>overpaid</code> (overpaid), and <code>canceled</code> (canceled).</p> |
| is\_email\_required  | bool   | false                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Parameter for requiring the payer’s email in the invoice                                                                                                                                                                                                                                            |
| link                 | string | pay.cryptocloud.plus/89UX09KA                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | Link to the invoice page                                                                                                                                                                                                                                                                            |
| currency             | dict   | <p>"currency": {</p><p>            "id": 3,</p><p>            "code": "ETH",</p><p>            "fullcode": "ETH",</p><p>            "network": {</p><p>                "code": "ERC20",</p><p>                "id": 3,</p><p>                "icon": "<https://cdn.cryptocloud.plus/img/network/ERC.svg>",</p><p>                "fullname": "Ethereum"</p><p>            },</p><p>            "name": "Ethereum",</p><p>            "is\_email\_required": false,</p><p>            "stablecoin": false,</p><p>            "icon\_base": "<https://cdn.cryptocloud.plus/img/currency/ETH.svg>",</p><p>            "icon\_network": "<https://cdn.cryptocloud.plus/img/currency/ETH.svg>",</p><p>            "icon\_qr": "<https://cdn.cryptocloud.plus/img/stroke/ETH_STROKE.svg>",</p><p>            "order": 9</p><p>        }</p> | <p>Object of the selected cryptocurrency in the invoice.</p><p></p><p>Also contains the <code>network</code> object — information about the selected currency network.</p>                                                                                                                          |
| project              | dict   | <p>"project": {</p><p>            "id": 0,</p><p>            "name": "MyShop",</p><p>            "fail": "<https://test.com/failed-payment>",</p><p>            "success": "<https://test.com/successful-payment>",</p><p>            "logo": "<https://static.cryptocloud.plus/logo/logo.jpg>"</p><p>        }</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Object containing project information                                                                                                                                                                                                                                                               |
| test\_mode           | bool   | false                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Test invoice sign                                                                                                                                                                                                                                                                                   |
| received             | float  | 0.00206                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Amount credited to the balance in cryptocurrency                                                                                                                                                                                                                                                    |
| received\_usd        | float  | 0.26                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Amount credited to the balance in USD                                                                                                                                                                                                                                                               |
| to\_surcharge        | float  | 0.001172                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Amount remaining to be paid in cryptocurrency                                                                                                                                                                                                                                                       |
| to\_surcharge\_usd   | float  | 0.08                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Amount remaining to be paid in USD                                                                                                                                                                                                                                                                  |
